Debian Bug report logs - #630258
[PATCH] multistrap: Document the "include" setting.

Package: multistrap; Maintainer for multistrap is Neil Williams <codehelp@debian.org>; Source for multistrap is src:multistrap.

Reported by: Yann Dirson <ydirson@free.fr>

Date: Sun, 12 Jun 2011 19:27:02 UTC

Severity: normal

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#630258; Package multistrap. (Sun, 12 Jun 2011 19:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@free.fr>:
New Bug report received and forwarded. Copy sent to Neil Williams <codehelp@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

2.1.14, 2.1.14+svn8003

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sun, 12 Jun 2011 19:27:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@free.fr>
To: submit@bugs.debian.org
Cc: Yann Dirson <ydirson@free.fr>
Subject: [PATCH] multistrap: Document the "include" setting.
Date: Sun, 12 Jun 2011 21:23:53 +0200
[Message part 1 (text/plain, inline)]
Package: multistrap
Version: 2.1.14, 2.1.14+svn8003
Tags: patch

Would also need a couple of words about the possibility to use several
values here.  A quick test shows that the first ones seems to take
precedence over further ones, but it is not quite clear at first code read
if that is intended.
---
 pod/multistrap |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

[0001-Document-the-include-setting.patch (text/x-patch, attachment)]

Removed tag(s) patch. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 12 Jun 2011 19:48:03 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sun, 12 Jun 2011 19:48:08 GMT) Full text and rfc822 format available.

Notification sent to Yann Dirson <ydirson@free.fr>:
Bug acknowledged by developer. (Sun, 12 Jun 2011 19:48:08 GMT) Full text and rfc822 format available.

Message #12 received at 630258-done@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: ydirson@free.fr, 630258-done@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#630258: [PATCH] multistrap: Document the "include" setting.
Date: Sun, 12 Jun 2011 20:48:04 +0100
[Message part 1 (text/plain, inline)]
notfound 630258 2.1.14
notfound 630258 2.1.14+svn8003
tag 630258 - patch
quit

On Sun, 12 Jun 2011 21:23:53 +0200
Yann Dirson <ydirson@free.fr> wrote:

> Package: multistrap
> Version: 2.1.14, 2.1.14+svn8003
> Tags: patch
> 
> Would also need a couple of words about the possibility to use several
> values here.  A quick test shows that the first ones seems to take
> precedence over further ones, but it is not quite clear at first code read
> if that is intended.

Patch is not acceptable as it demonstrates misunderstandings of the
existing documentation and the manpage is quite long enough as it is.
There is plenty more documentation on the website and the wiki.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#630258; Package multistrap. (Tue, 21 Jun 2011 23:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@free.fr>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Tue, 21 Jun 2011 23:21:06 GMT) Full text and rfc822 format available.

Message #17 received at 630258@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@free.fr>
To: Neil Williams <codehelp@debian.org>
Cc: 630258@bugs.debian.org
Subject: Re: Bug#630258: [PATCH] multistrap: Document the "include" setting.
Date: Wed, 22 Jun 2011 01:20:04 +0200
On Sun, Jun 12, 2011 at 08:48:04PM +0100, Neil Williams wrote:
> notfound 630258 2.1.14
> notfound 630258 2.1.14+svn8003
> tag 630258 - patch
> quit
> 
> On Sun, 12 Jun 2011 21:23:53 +0200
> Yann Dirson <ydirson@free.fr> wrote:
> 
> > Package: multistrap
> > Version: 2.1.14, 2.1.14+svn8003
> > Tags: patch
> > 
> > Would also need a couple of words about the possibility to use several
> > values here.  A quick test shows that the first ones seems to take
> > precedence over further ones, but it is not quite clear at first code read
> > if that is intended.
> 
> Patch is not acceptable as it demonstrates misunderstandings of the
> existing documentation and the manpage is quite long enough as it is.
> There is plenty more documentation on the website and the wiki.

Ok I admit that I have misunderstood, but this answer is not that useful.

So (appart from *not* being documented as a keyword, "include" here
just does not have the usual semantics we see in "include" mechanisms
- and as such, without proper docs, it is sure to confuse users.

So the question is, how best can we describe the behaviour ?




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 21 Jun 2011 23:21:08 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Wed, 22 Jun 2011 08:39:31 GMT) Full text and rfc822 format available.

Notification sent to Yann Dirson <ydirson@free.fr>:
Bug acknowledged by developer. (Wed, 22 Jun 2011 08:39:32 GMT) Full text and rfc822 format available.

Message #24 received at 630258-done@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: ydirson@free.fr
Cc: 630258-done@bugs.debian.org
Subject: Re: Bug#630258: [PATCH] multistrap: Document the "include" setting.
Date: Wed, 22 Jun 2011 09:36:43 +0100
[Message part 1 (text/plain, inline)]
On Wed, 22 Jun 2011 01:20:04 +0200
Yann Dirson <ydirson@free.fr> wrote:

Don't play around with bug reports. This bug has been closed.

> > Patch is not acceptable as it demonstrates misunderstandings of the
> > existing documentation and the manpage is quite long enough as it is.
> > There is plenty more documentation on the website and the wiki.
> 
> Ok I admit that I have misunderstood, but this answer is not that useful.
> 
> So (appart from *not* being documented as a keyword, "include" here
> just does not have the usual semantics we see in "include" mechanisms
> - and as such, without proper docs, it is sure to confuse users.
> 
> So the question is, how best can we describe the behaviour ?

Expand the Wiki content, there's no place for this in the manpage which
is already too long. Suitable content from the wiki can then be
included into the website.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#630258; Package multistrap. (Wed, 22 Jun 2011 19:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <ydirson@free.fr>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Wed, 22 Jun 2011 19:36:05 GMT) Full text and rfc822 format available.

Message #29 received at 630258@bugs.debian.org (full text, mbox):

From: Yann Dirson <ydirson@free.fr>
To: Neil Williams <codehelp@debian.org>
Cc: 630258@bugs.debian.org
Subject: Re: Bug#630258: [PATCH] multistrap: Document the "include" setting.
Date: Wed, 22 Jun 2011 21:32:43 +0200
On Wed, Jun 22, 2011 at 09:36:43AM +0100, Neil Williams wrote:
> On Wed, 22 Jun 2011 01:20:04 +0200
> Yann Dirson <ydirson@free.fr> wrote:
> 
> Don't play around with bug reports. This bug has been closed.

I am not playing, and systematically disregarding people opinions will
not improve anything.

> > > Patch is not acceptable as it demonstrates misunderstandings of the
> > > existing documentation and the manpage is quite long enough as it is.
> > > There is plenty more documentation on the website and the wiki.
> > 
> > Ok I admit that I have misunderstood, but this answer is not that useful.
> > 
> > So (appart from *not* being documented as a keyword, "include" here
> > just does not have the usual semantics we see in "include" mechanisms
> > - and as such, without proper docs, it is sure to confuse users.
> > 
> > So the question is, how best can we describe the behaviour ?
> 
> Expand the Wiki content, there's no place for this in the manpage which
> is already too long. Suitable content from the wiki can then be
> included into the website.

Sorry if the manpage is too long, but that's not a reason to assume
that all of the package's user have net access.  Documentation can
also live in /usr/share/doc/.  A package with bad documentation is
not much more than useless.

There are lots a ways the existing multistrap documentation can be
improved, and diluting all of it in a hardly-searchable wiki is not
part of them.  Improving the manpage is, and I suggest you reconsider
your position of refusing to improve it.

Further more, closing a bugreport because *you* have no incentive to
address a problem that someone took the pain to report is bad: it
drives potential contributors away from this project, and suppresses a
list of possible tasks a newcomer could look at.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Jul 2011 07:35:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:38:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.